## org.apache.lucene.codecs.simpletext
Class SimpleTextTermVectorsWriter

    java.lang.Object
      org.apache.lucene.codecs.TermVectorsWriter
          org.apache.lucene.codecs.simpletext.SimpleTextTermVectorsWriter

All Implemented Interfaces:
  Closeable

    public class SimpleTextTermVectorsWriter

extends TermVectorsWriter

Writes plain-text term vectors.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextTermVectorsWriter(Directory directory, String segment, IOContext context)`

Method Summary
`void` `abort()`
`void` `addPosition(int position, int startOffset, int endOffset, BytesRef payload)`
`void` `close()`
`void` `finish(FieldInfos fis, int numDocs)`
`Comparator<BytesRef>` `getComparator()`
`void` `startDocument(int numVectorFields)`
`void` `startField(FieldInfo info, int numTerms, boolean positions, boolean offsets, boolean payloads)`
`void` `startTerm(BytesRef term, int freq)`

Methods inherited from class org.apache.lucene.codecs.TermVectorsWriter
`addAllDocVectors, addProx, finishDocument, finishField, finishTerm, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextTermVectorsWriter

    public SimpleTextTermVectorsWriter(Directory directory,
                                       String segment,
                                       IOContext context)
                                throws IOException

Throws:
  `IOException`

Method Detail

### startDocument

    public void startDocument(int numVectorFields)
                       throws IOException

  Specified by:
    `startDocument` in class `TermVectorsWriter`
  Throws:
    `IOException`

### startField

    public void startField(FieldInfo info,
                           int numTerms,
                           boolean positions,
                           boolean offsets,
                           boolean payloads)
                    throws IOException

  Specified by:
    `startField` in class `TermVectorsWriter`
  Throws:
    `IOException`

### startTerm

    public void startTerm(BytesRef term,
                          int freq)
                   throws IOException

  Specified by:
    `startTerm` in class `TermVectorsWriter`
  Throws:
    `IOException`

### addPosition

    public void addPosition(int position,
                            int startOffset,
                            int endOffset,
                            BytesRef payload)
                     throws IOException

  Specified by:
    `addPosition` in class `TermVectorsWriter`
  Throws:
    `IOException`

### abort

    public void abort()

  Specified by:
    `abort` in class `TermVectorsWriter`

### finish

    public void finish(FieldInfos fis,
                       int numDocs)
                throws IOException

  Specified by:
    `finish` in class `TermVectorsWriter`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `TermVectorsWriter`
  Throws:
    `IOException`

### getComparator

    public Comparator<BytesRef> getComparator()
                                       throws IOException

  Specified by:
    `getComparator` in class `TermVectorsWriter`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.